<?php
/**
 * WLFMC wishlist integration with botiga theme
 *
 * @author MoreConvert
 * @package Smart Wishlist For More Convert
 * @version 1.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

add_action( 'init', 'wlfmc_botiga_integrate' );

function wlfmc_botiga_integrate() {

	if ( function_exists( 'botiga_setup' ) ) {

		add_filter( 'wlfmc_button_positions', 'wlfmc_botiga_fix_single_position' );
		add_filter( 'wlfmc_loop_positions', 'wlfmc_botiga_fix_loop_position' );

		add_filter( 'botiga_quick_view_product_components', 'wlfmc_botiga_quick_view_components' );


		// fix inline loop buttons
		$options         = new MCT_Options( 'wlfmc_options' );
		$single_position = $options->get_option( 'wishlist_button_position', 'after_add_to_cart' );

		if ( 'after_add_to_cart_button' === $single_position ) {
			remove_action( 'woocommerce_before_add_to_cart_button', 'botiga_single_addtocart_wrapper_open' );
			remove_action( 'woocommerce_after_add_to_cart_button', 'botiga_single_addtocart_wrapper_close' );

			add_action( 'woocommerce_before_add_to_cart_button', 'botiga_single_addtocart_wrapper_open', 10 );
			add_action( 'woocommerce_after_add_to_cart_button', 'botiga_single_addtocart_wrapper_close', 1 );

			add_action( 'woocommerce_before_add_to_cart_button', 'wlfmc_botiga_inline_btn_single_start', - 10 );
			add_action( 'woocommerce_after_add_to_cart_button', 'wlfmc_botiga_inline_btn_single_end', 10 );

		}
	}

}

function wlfmc_botiga_inline_btn_single_start() {
	echo '<div class="wlfmc-inline-buttons-no-mar">';
}

function wlfmc_botiga_inline_btn_single_end() {
	echo '</div>';
}


function wlfmc_botiga_fix_single_position( $positions ) {

	$positions['before_add_to_cart']       = array(
		array(
			'hook'     => 'woocommerce_before_add_to_cart_button',
			'priority' => '-10',
		),

	);
	$positions['after_add_to_cart']        = array(
		array(
			'hook'     => 'woocommerce_after_add_to_cart_button',
			'priority' => '31',
		),
	);
	$positions['after_add_to_cart_button'] = array(
		array(
			'hook'     => 'woocommerce_after_add_to_cart_button',
			'priority' => '5',
		),
	);

	$positions['summary']['hook'] = 'woocommerce_single_product_summary';

	return $positions;
}


function wlfmc_botiga_fix_loop_position( $positions ) {

	$positions['before_add_to_cart'] = array(
		array(
			'hook'     => 'woocommerce_after_shop_loop_item',
			'priority' => 9,
		),

	);
	$positions['after_add_to_cart']  = array(
		array(
			'hook'     => 'woocommerce_after_shop_loop_item',
			'priority' => 10,
		),
	);

	return $positions;
}

function wlfmc_botiga_quick_view_components( $components ) {
	$components[] = 'botiga_quick_view_summary_wlfmc_wishlist';

	return $components;
}

function botiga_quick_view_summary_wlfmc_wishlist( $product = null ) {

	if ( ! apply_filters( 'wlfmc_show_add_to_wishlist', true ) ) {
		return;
	}

	echo do_shortcode( '[wlfmc_add_to_wishlist product_id="' . $product->get_id() . '" is_single="true"]' );

}
