// phpcs:disable
var gulp = require('gulp'),
	plumber = require('gulp-plumber'),
	rename = require('gulp-rename');
var autoprefixer = require('gulp-autoprefixer');
var babel = require('gulp-babel');
var jshint = require('gulp-jshint');
var uglify = require('gulp-uglify');
let cleanCSS = require('gulp-clean-css');
var sass = require('gulp-sass');
var sourcemaps = require('gulp-sourcemaps');
var gcmq = require('gulp-group-css-media-queries');
var purge = require('gulp-css-purge');


gulp.task('option-styles', function () {
	return gulp.src(['src/scss/option-styles.scss'])
		.pipe(sourcemaps.init())
		.pipe(plumber({
			errorHandler: function (error) {
				console.log(error.message);
				this.emit('end');
			}
		}))
		.pipe(sass())
		.pipe(autoprefixer('last 30 versions', "ie >= 10"))
		.pipe(gcmq())
		.pipe(purge({
			trim: false,
			shorten: false,
			verbose: true
		}))
		.pipe(gulp.dest('assets/css/'))
		.pipe(rename({suffix: '.min'}))
		// .pipe(minifycss())
		// .pipe(cleanCSS({compatibility: 'ie10+'}))
		.pipe(cleanCSS())
		.pipe(gulp.dest('assets/css/'))
});

gulp.task('option-scripts', function () {
	return gulp.src('src/js/*.js')
		.pipe(jshint())
		.pipe(jshint.reporter('default'))
		.pipe(babel())
		.pipe(gulp.dest('assets/js/'))
		.pipe(rename({suffix: '.min'}))
		.pipe(uglify())
		.pipe(gulp.dest('assets/js/'))
});

// phpcs:enable
